Package org.firebirdsql.gds.ng.listeners

## Class DefaultStatementListener

- java.lang.Object
- - org.firebirdsql.gds.ng.listeners.DefaultStatementListener

All Implemented Interfaces:
  `StatementListener`

    @Deprecated
    public class DefaultStatementListener
    extends java.lang.Object
    implements StatementListener

Deprecated.
implementing `StatementListener` is sufficient as all its methods have a default implementation doing nothing, class will be removed in Jaybird 6
Default implementation of `StatementListener` where all implemented methods do nothing.

Since:
  3.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`DefaultStatementListener()` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.StatementListener

`afterLast, beforeFirst, receivedRow, sqlCounts, statementExecuted, statementStateChanged, warningReceived`

### Constructor Detail

#### DefaultStatementListener

    public DefaultStatementListener()

Deprecated.